package events
{
	import flash.events.Event;

	public class CallStateEvent extends Event
	{
		public static const CALL_STATE_CHANGED:String = "CallStateEvent.CallStateChanged";
		
		private var _callState:int;
		public function CallStateEvent(callState:int)
		{
			_callState = callState;
			super(CALL_STATE_CHANGED);
		}
		
		public function get callState():int
		{
			return _callState;
		}
		
		public override function clone():Event
		{
			return new CallStateEvent(_callState);
		}
	}
}